Bug 13734 - RDA: Display 33xs
Summary: RDA: Display 33xs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 10344
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-19 16:44 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
example (60.58 KB, image/png)
2015-02-19 16:44 UTC, Nicole C. Engard
Details
Example MARC (90.88 KB, text/plain)
2015-03-11 23:44 UTC, Nicole C. Engard
Details
Add fields 336, 337 and 338 to the full displays in the staff (1.62 KB, patch)
2015-03-16 01:39 UTC, Winona Salesky
Details | Diff | Splinter Review
Updates 336, 337 and 338 to the full displays in the staff and OPAC (8.38 KB, patch)
2015-03-16 01:47 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 13734 - RDA: Display 33xs (5.54 KB, patch)
2015-03-25 14:10 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 13734 - RDA: Display 33xs (6.96 KB, patch)
2015-04-29 02:12 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13734: RDA: Display 33xs (6.94 KB, patch)
2015-05-07 17:12 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 13734: RDA: Display 33xs (7.02 KB, patch)
2015-08-20 08:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-02-19 16:44:50 UTC
Created attachment 36046 [details]
example

It would be nice to have the option to see the new 33x fields in the staff and the OPAC. They should have their own ID tag though so they can be hidden by those who don't want to see them.
Comment 1 Winona Salesky 2015-03-11 15:02:35 UTC
Are there a few example records I could use for testing? (MARCXML format would be most helpful)
Thanks!
-Winona
Comment 2 Nicole C. Engard 2015-03-11 23:44:18 UTC
Created attachment 36825 [details]
Example MARC

Here a few records with 33x fields
Comment 3 Winona Salesky 2015-03-16 01:23:28 UTC
Is this for both the results list and the details pages? Or just in the details?
Thanks,
-Winona


(In reply to Nicole C. Engard from comment #2)
> Created attachment 36825 [details]
> Example MARC
> 
> Here a few records with 33x fields
Comment 4 Winona Salesky 2015-03-16 01:39:28 UTC Comment hidden (obsolete)
Comment 5 Winona Salesky 2015-03-16 01:40:09 UTC
I think some css work will need to be done to get them to display inline? Or if necessary, I can change the output in the xslt. 


(In reply to Winona Salesky from comment #4)
> Created attachment 36919 [details] [review] [review]
> Add fields 336, 337 and 338 to the full displays in the staff
Comment 6 Winona Salesky 2015-03-16 01:47:38 UTC Comment hidden (obsolete)
Comment 7 Winona Salesky 2015-03-16 01:48:11 UTC
Never mind, I fixed it so they appear inline. 

-Winona

(In reply to Winona Salesky from comment #6)
> Created attachment 36920 [details] [review] [review]
> Updates 336, 337 and 338 to the full displays in the staff and OPAC

(In reply to Winona Salesky from comment #5)
> I think some css work will need to be done to get them to display inline? Or
> if necessary, I can change the output in the xslt. 
> 
> 
> (In reply to Winona Salesky from comment #4)
> > Created attachment 36919 [details] [review] [review] [review]
> > Add fields 336, 337 and 338 to the full displays in the staff
Comment 8 Winona Salesky 2015-03-19 16:40:00 UTC
This patch adds the 33x fields to the full display in staff and OPAC views. 
Display has id='content_type' so it can be easily suppressed. 

Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac search results and record details
3) Find or create a record with MARC tags 335, 337 and/or 338
4) Perform an opac search that would show the record in the search results
5) Note the fields displays ( here you could go into detail about how and where the field should show )
6) Repeat steps 4 and 5 for the staff interface
Comment 9 Winona Salesky 2015-03-25 14:10:32 UTC Comment hidden (obsolete)
Comment 10 Nick Clemens 2015-04-08 23:41:30 UTC
looks good for single fields, but repeated fields 33x or multiple $a in one field need a separator.

I think using the same '|' wrapped in a span as similar bugs makes sense
Comment 11 Winona Salesky 2015-04-09 15:19:37 UTC
Okay, I will take a look. 
Thanks. 
-Winona

(In reply to Nick Clemens from comment #10)
> looks good for single fields, but repeated fields 33x or multiple $a in one
> field need a separator.
> 
> I think using the same '|' wrapped in a span as similar bugs makes sense
Comment 12 Winona Salesky 2015-04-16 00:49:43 UTC
Does a '|' make sense for both multiple $a in one field and repeated 33x fields? That seems a little awkward to me. What about commas between $a and '|' between repeated fields? Any thoughts?

Thanks!
-Winona

(In reply to Winona Salesky from comment #11)
> Okay, I will take a look. 
> Thanks. 
> -Winona
> 
> (In reply to Nick Clemens from comment #10)
> > looks good for single fields, but repeated fields 33x or multiple $a in one
> > field need a separator.
> > 
> > I think using the same '|' wrapped in a span as similar bugs makes sense

(In reply to Winona Salesky from comment #11)
> Okay, I will take a look. 
> Thanks. 
> -Winona
> 
> (In reply to Nick Clemens from comment #10)
> > looks good for single fields, but repeated fields 33x or multiple $a in one
> > field need a separator.
> > 
> > I think using the same '|' wrapped in a span as similar bugs makes sense
Comment 13 Nick Clemens 2015-04-24 20:19:08 UTC
That (In reply to Winona Salesky from comment #12)
> Does a '|' make sense for both multiple $a in one field and repeated 33x
> fields? That seems a little awkward to me. What about commas between $a and
> '|' between repeated fields? Any thoughts?
> 

Seems like a good compromise to me
Comment 14 Winona Salesky 2015-04-29 02:12:41 UTC Comment hidden (obsolete)
Comment 15 Bernardo Gonzalez Kriegel 2015-05-07 17:12:35 UTC Comment hidden (obsolete)
Comment 16 Marcel de Rooy 2015-08-20 08:54:32 UTC
Created attachment 41702 [details] [review]
Bug 13734: RDA: Display 33xs

Test Plan:
    1) Apply this patch
    2) Ensure you are using the default XSLT setting for the staff and opac search results and record details
    3) Find or create a record with MARC tags 336,337,338
    4) Perform an opac search that would show the record in the search results.
    5) Click title to review record.
    6) Adds fields 336, 337 and 338 to staff and opac details. Adds comma between multiple subfields and | with class='separator' between multiple datafields (e.g. two 336 fields)
    7) Repeat steps 4 - 6 for the staff interface

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works, no errors

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 17 Marcel de Rooy 2015-08-20 08:56:22 UTC
QA Comment:
Had to make these fields visible, but works fine. Note that delimeter looks like a spelling error, but it is already there..

Passed QA
Comment 18 Tomás Cohen Arazi 2015-08-21 13:24:19 UTC
Patch pushed to master.

Good job Winona!